# NavigationMode

Namespace: **Wisej.Hybrid.Shared.Map**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Represents various modes of navigation that can be passed to the operating system's Maps app.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum NavigationMode : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum NavigationMode As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name          | Description                                  |
| ------------- | -------------------------------------------- |
| **Bicycling** | Bicycle route mode.                          |
| **Default**   | The default navigation mode on the platform. |
| **Driving**   | Car route mode.                              |
| **None**      | No navigation mode.                          |
| **Transit**   | Transit route mode.                          |
| **Walking**   | Walking route mode.                          |

## Used By

| Name                                                                                                                     | Description                                                     |
| ------------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------- |
| [MapLaunchOptions.NavigationMode](/hybrid/start/api/location/wisej.hybrid.shared.map.maplaunchoptions.md#navigationmode) | Gets or sets the navigation mode to use in the map application. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/location/wisej.hybrid.shared.map.navigationmode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
